<template>
  <div class="RegisterComponent">
    <b-form>
      <div class="row mx-2 mt-5">
        <div class="col">
          <b-form-input
            id="last_name"
            v-model="user.last_name"
            type="text"
            placeholder="Nom"
            required
          ></b-form-input>
        </div>

        <div class="col">
          <b-form-input
            id="first_name"
            v-model="user.first_name"
            type="text"
            placeholder="Prénom"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-8">
          <b-form-input
            id="address"
            v-model="street"
            type="text"
            placeholder="Adresse"
            required
          ></b-form-input>
        </div>

        <div class="col-4">
          <b-form-input
            id="country"
            v-model="country"
            type="text"
            placeholder="Pays"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-7">
          <b-form-input
            id="city"
            v-model="city"
            type="text"
            placeholder="Ville"
            required
          ></b-form-input>
        </div>

        <div class="col-5">
          <b-form-input
            id="postcode"
            v-model="postcode"
            type="text"
            placeholder="Code Postal"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="mt-3 mx-3">
        <b-form-input
          id="email"
          v-model="user.email"
          type="email"
          placeholder="Adresse mail"
          required
        ></b-form-input>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-7">
          <b-form-input
            id="phone_number"
            v-model="user.phone_number"
            type="text"
            placeholder="Téléphone"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="mt-3 mx-3">
        <b-form-input
          id="password"
          v-model="user.password"
          type="password"
          placeholder="Mot de passe"
          required
        ></b-form-input>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-7"></div>
        <div class="col-5">
          <b-button @click="onSubmit" variant="secondary">Inscription</b-button>
        </div>
      </div>
    </b-form>

  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { mapActions } from "vuex";

export default Vue.extend({
  name: "RegisterComponent",
  props: {},


  data: () => ({
    showDismissibleAlert: false,
    user: {
      first_name: "",
      last_name: "",
      address: "",
      email: "",
      phone_number: "",
      password: "",
      mentoring_code: "",
    },
      street: "",
      postcode: "",
      city: "",
      country: "",
  }),

  methods: {

    ...mapActions(["addUser"]),
    onSubmit() {
      this.user.address = this.street.concat(";" + this.postcode + ";" + this.city + ";" + this.country);
      console.log(this.user)
      this.addUser(this.user);
      
    },
  },
  
});
</script>

<style scoped></style>
